Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Dataset

Create a new dataset with one of three storage types:

  • managed: System creates and manages a new EOS bucket
  • existing_bucket: Connect to an existing EOS bucket with provided credentials
  • pvc: Create a dataset with disk storage

Optionally supports encryption (SSE-KMS or SSE-C) for managed and existing_bucket types.

POST/datasets/

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
namestringrequired

Name of the dataset

storage_typestringrequiredmanaged | pvc | existing_bucket

Type of storage for the dataset

pvcobject

PVC configuration, required if storage_type is pvc

bucketobject

Bucket configuration, required if storage_type is existing_bucket

access_keyobject

Access key configuration, required if storage_type is existing_bucket

encryption_enableboolean

Whether to enable encryption

encryption_typestringsse-kms | sse-c

Type of encryption to use (required if encryption_enable is true):

  • sse-kms: Server-side encryption with KMS (E2E managed)
  • sse-c: Server-side encryption with customer-provided keys (user managed)
descriptionstring

Optional description of the dataset

Responses

201Success response indicating that the dataset was created.
object
codeinteger

HTTP status code for the operation.

example201
dataobject
errorsobject

Any errors encountered during the operation.

messagestring

Message indicating the result of the operation.

exampleCreated Successfully